"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ResourceGroupsTaggingAPIClient_1 = require("./ResourceGroupsTaggingAPIClient");
const GetResourcesCommand_1 = require("./commands/GetResourcesCommand");
const GetTagKeysCommand_1 = require("./commands/GetTagKeysCommand");
const GetTagValuesCommand_1 = require("./commands/GetTagValuesCommand");
const TagResourcesCommand_1 = require("./commands/TagResourcesCommand");
const UntagResourcesCommand_1 = require("./commands/UntagResourcesCommand");
class ResourceGroupsTaggingAPI extends ResourceGroupsTaggingAPIClient_1.ResourceGroupsTaggingAPIClient {
    getResources(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetResourcesCommand_1.GetResourcesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getTagKeys(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetTagKeysCommand_1.GetTagKeysCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getTagValues(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetTagValuesCommand_1.GetTagValuesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    tagResources(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new TagResourcesCommand_1.TagResourcesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    untagResources(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UntagResourcesCommand_1.UntagResourcesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
}
exports.ResourceGroupsTaggingAPI = ResourceGroupsTaggingAPI;
//# sourceMappingURL=ResourceGroupsTaggingAPI.js.map