"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetResources_1 = require("../model/operations/GetResources");
class GetResourcesCommand {
    constructor(input) {
        this.input = input;
        this.model = GetResources_1.GetResources;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetResourcesCommand = GetResourcesCommand;
//# sourceMappingURL=GetResourcesCommand.js.map